package sgc.portal.co.co0105.service;

import org.springframework.stereotype.Service;

import sgc.portal.base.util.EasyHashMap;
import sgc.portal.co.co0105.dto.CO01050001USearch;
import sgc.portal.co.co0105.persistence.CO01050001UMapper;

import java.util.List;

@Service
public class CO01050001UService {
    private final CO01050001UMapper mapper;

    public CO01050001UService(CO01050001UMapper mapper) {
        this.mapper = mapper;
    }

    public List<EasyHashMap<String, Object>> getList1(CO01050001USearch search) {
        return mapper.getList1(search);
    }
    
    public List<EasyHashMap<String, Object>> getList2(CO01050001USearch search) {
        return mapper.getList2(search);
    }
    
    public List<EasyHashMap<String, Object>> getList3(CO01050001USearch search) {
        return mapper.getList3(search);
    }
}
